Need help on Installation of GBrowse

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Need help on Installation of GBrowse

weidmao
I goe the following message when I was running the Build.PL script, is it
normal? Bcause I failed the test after this. ANy comments? Thanks.

Checking prerequisites...
  recommends:
    *  Bio::DB::BigFile is not installed
    *  Bio::DB::Sam is not installed
    *  Bio::Das is not installed
  * Do not worry if some "recommended" prerequisites are missing. You can
install *
  * them later if you need the features they provide. Do not proceed with
the     *
  * install if any of "REQUIRED" prerequisites are missing.                      
*
  *                                                                              
*
  * The optional Safe::World module does not currently run on Perl 5.10 or      
*
  * higher, and so cannot be installed.                                          
*


ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the
versions
of the modules indicated above before proceeding with this installation

Run 'Build installdeps' to install missing prerequisites.

**** WARNING
*****************************************************************************************
If you are upgrading from an earlier version of GBrowse and wish to use
named user accounts, please
set "user_accounts" to 1 in /etc/gbrowse2/GBrowse.conf and run
bin/gbrowse_metadb_config.pl to
create/update your user account database.

See /etc/gbrowse2/GBrowse.conf.new for suggested settings.
******************************************************************************************************
**** WARNING *********************************************************
You appear to have SELinux installed on this computer. This can
interfere with GBrowse operation. Please read the file
README.fedora_and_selinux in order to perform additional configuration
operations that may be necessary to run on this computer.
**********************************************************************
Created MYMETA.yml and MYMETA.json
Creating new 'Build' script for 'GBrowse' version '2.55'
Now run:
  ./Build test
  ./Build demo          (optional)
  ./Build install       (as superuser/administrator)
        -or-
  ./Build install_slave (optional, for slave installations)

Other useful targets:
  ./Build register      (to register your copy of GBrowse)
  ./Build reconfig      (to reconfigure install locations)
  ./Build demostop      (to stop the demo)




--
View this message in context: http://generic-model-organism-system-database.450254.n5.nabble.com/Need-help-on-Installation-of-GBrowse-tp5712847.html
Sent from the gmod-gbrowse mailing list archive at Nabble.com.

------------------------------------------------------------------------------
_______________________________________________
Gmod-gbrowse mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-gbrowse